<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class GuardName extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'name',
        'identification1',
        'identification2',
        'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function guardPatrolEntries()
    {
        return $this->hasMany(GuardPatrolEntry::class, 'guard_name_id', 'id');
    }
}
